Processing - clicking on Refactor fields returns a Python error

2018-12-03 04:17 PM - Filipe Dias

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Processing/QGIS

Affected QGIS version:3.4.2 Regression?: No

Operating System: Ubuntu 18.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28527

Description

This is the error. I am using the nightly build of QGIS 3.4.2 (code revision 1abbcb4, date 20181202)

An error has occurred while executing Python code:

AttributeError: 'str' object has no attribute 'get' 

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/gui/ProcessingToolbox.py", line 247, in executeAlgorithm

    dlg = AlgorithmDialog(alg, self.in_place_mode, iface.mainWindow())

  File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmDialog.py", line 80, in init

    self.setMainWidget(self.getParametersPanel(alg, self))

  File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmDialog.py", line 96, in getParametersPanel

    return ParametersPanel(parent, alg, self.in_place)

  File "/usr/share/qgis/python/plugins/processing/gui/ParametersPanel.py", line 103, in init

    self.initWidgets()

  File "/usr/share/qgis/python/plugins/processing/gui/ParametersPanel.py", line 140, in initWidgets

    wrapper = WidgetWrapperFactory.create_wrapper(param, self.parent)

  File "/usr/share/qgis/python/plugins/processing/gui/wrappers.py", line 1776, in create_wrapper

    if param.metadata().get('widget_wrapper', {}).get('class', None) is not None:

AttributeError: 'str' object has no attribute 'get'

Python version: 3.6.7 (default, Oct 22 2018, 11:32:17) [GCC 8.2.0] 

QGIS version: 3.4.2-Madeira Madeira, 1abbcb4

Python Path:

/usr/share/qgis/python

/home/fd/.local/share/QGIS/QGIS3/profiles/default/python

/home/fd/.local/share/QGIS/QGIS3/profiles/default/python/plugins

/usr/share/qgis/python/plugins

/usr/lib/python36.zip

/usr/lib/python3.6

/usr/lib/python3.6/lib-dynload

/usr/local/lib/python3.6/dist-packages

/usr/lib/python3/dist-packages

/home/fd/.local/share/QGIS/QGIS3/profiles/default/python

Associated revisions

Revision 039a6c5a - 2018-12-04 02:21 AM - Nyall Dawson
[processing] Fix exception on launching refactor fields

(The logic with parameter widget_wrapper metadata is very gross -

but there's nothing we can do about it till 4.0!)

Fixes #20707

(cherry picked from commit a947bbfb2662d69b96030b3efacab562106e4857)

Revision 9c1653f0 - 2018-12-04 07:47 PM - Nyall Dawson

[processing] Fix exception on launching refactor fields

(The logic with parameter widget_wrapper metadata is very gross -

but there's nothing we can do about it till 4.0!)

Fixes #20707

History

#1 - 2018-12-03 11:53 PM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

#2 - 2018-12-04 02:20 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|039a6c5a59e4c960c352e7eb1603db283df4592e.
